Summary: smserver rpm to setup scuttle, social bookmarks
%define name smeserver-scuttle
Name: %{name}
%define version 0.9
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: ss-scuttle-postinstall.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: scuttle
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%description
smserver rpm to setup scuttle : social bookmarks.

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Apr 14 2007 Stephen Noble <support@dungog.net> [0.9-3]
- removed phpinfo
- post events reordered, to enable clean install 

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Nov 28 2006 Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]

%prep
%setup
%patch0 -p1

%build

mkdir -p          root/etc/e-smith/db/accounts/defaults/scuttle
echo "reserved" > root/etc/e-smith/db/accounts/defaults/scuttle/type

DEFAULTS=root/etc/e-smith/db/configuration/defaults/scuttle
mkdir -p $DEFAULTS
echo "Social Bookmarks" > $DEFAULTS/Name
echo "global-pw-remote" > $DEFAULTS/PublicAccess
echo "bookmarks"        > $DEFAULTS/URL

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80scuttle.sql
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/usr/local/bin/svc -h /service/httpd-e-smith

echo ""
echo "see http://wiki.contribs.org/Scuttle"

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/local/bin/svc -h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

